## tdepim-trinity 14.1.1

=== debian/changelog ===
tdepim-trinity (4:14.1.1-5romtpim) universal; urgency=low

  * Applying tdepim_holiday_ua.patch, with updating from 2025.11.15
  * Applying karm_IdleDetect.patch
  * Applying karm_ResetTaskTimes.patch
  * Applying korganizer_MonthViewAnniversTooltip.patch
  * Applying korganizer_ImproveAtachmentsDialog.patch
  * Applying korganizer_ImproveCatsDialog.patch
  * Applying tdepim_korganizer_noDblItDlgAtDblClickInMonthView.patch
  * Applying tdepim_knote_localNoteFind.patch

 -- Roman Savochenko <roman@oscada.org>  Sun, 17 Nov 2025 20:00:00 +0200

tdepim-trinity (4:14.1.1-1romtpim) universal; urgency=low

  * Applying tdepim_holiday_ua.patch
  * Applying karm_IdleDetect.patch
  * Applying karm_ResetTaskTimes.patch
  * Applying korganizer_MonthViewAnniversTooltip.patch

 -- Roman Savochenko <roman@oscada.org>  Mon, 30 Oct 2023 20:00:00 +0200

tdepim-trinity (4:14.1.1-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 10:54:46 +0200
