## tdepim-trinity 14.1.4

=== debian/changelog ===
tdepim-trinity (4:14.1.4-3romtpim) universal; urgency=low

  * Applying tdepim_holiday_ua.patch, with updating from 2025.11.15
  * Applying karm_IdleDetect.patch
  * Applying karm_ResetTaskTimes.patch
  * Applying korganizer_MonthViewAnniversTooltip.patch
  * Applying korganizer_ImproveAtachmentsDialog.patch
  * Applying korganizer_ImproveCatsDialog.patch
  * Applying tdepim_korganizer_noDblItDlgAtDblClickInMonthView.patch
  * Applying tdepim_knote_localNoteFind.patch

 -- Roman Savochenko <roman@oscada.org>  Sun, 17 Nov 2025 20:00:00 +0200

tdepim-trinity (4:14.1.4-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200
