=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,13 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
 include debian/cdbs/debian-tde.mk
+
+DEB_TIME64_API		= $(shell echo | cc $(dpkg-buildflags --get CPPFLAGS) -dM -E -x c++ - | grep -q "_TIME_BITS 64" && echo true || false)
+ifeq ($(DEB_TIME64_API),true)
+DEB_TIME64_SUFFIX	= t64
+else
+DEB_TIME64_SUFFIX	=
+endif
 
 DEB_KDE_APIDOX := yes
 
@@ -86,3 +93,65 @@
 KDE_TARBALL := ../$(DEB_SOURCE_PACKAGE)-$(KDE_UPSTREAM_VERSION).tar.bz2
 KDE_SOURCEDIR := dfsg-tmp/$(DEB_SOURCE_PACKAGE)-$(KDE_UPSTREAM_VERSION)
 NEWDEB_SOURCEDIR := $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION)
+
+post-patches::
+	dh_testdir
+ifeq ($(DEB_TIME64_API),true)
+	# update library package name for TIME64 ABI
+	ls -d debian/* | \
+	grep -E "/libmimelib1c2a" | \
+	grep -v "\.t64$$" | \
+	while read a; do \
+	    [ -d $$a ] || [ -f $$a.t64 ] || \
+	    (cp -a $$a debian/libmimelib1$(DEB_TIME64_SUFFIX)$${a##*c2a} && mv $$a $$a.t64); \
+	done
+	ls -d debian/* | \
+	grep -E "/libkleopatra1-" | \
+	grep -v "\.t64$$" | \
+	while read a; do \
+	    [ -d $$a ] || [ -f $$a.t64 ] || \
+	    (cp -a $$a debian/libkleopatra1$(DEB_TIME64_SUFFIX)-$${a##*-} && mv $$a $$a.t64); \
+	done
+	[ -f debian/control.t64 ] || \
+	sed -i.t64 \
+	    -e "s/^\\(Package: libmimelib1\\)c2a-trinity$$/\\1$(DEB_TIME64_SUFFIX)-trinity/" \
+	    -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(libmimelib1\\)c2a-trinity\\( \|$$\)/\\1:\\2\\3c2a-trinity, \\3$(DEB_TIME64_SUFFIX)-trinity\\4/" \
+	    -e "s/\\(libmimelib1\\)c2a-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
+	    \
+	    -e "s/^\\(Package: libkleopatra1\\)-trinity$$/\\1$(DEB_TIME64_SUFFIX)-trinity/" \
+	    -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(libkleopatra1\\)-trinity\\( \|$$\)/\\1:\\2\\3-trinity, \\3$(DEB_TIME64_SUFFIX)-trinity\\4/" \
+	    -e "s/\\(libkleopatra1\\)-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
+	    debian/control
+endif
+
+clean::
+	dh_testdir
+	dh_clean
+
+ifeq ($(DEB_TIME64_API),true)
+	# revert library package name for TIME64 ABI
+	ls -d debian/* | \
+	grep -E "\.t64$$" | \
+	while read a; do \
+	    mv $$a $${a%.t64}; \
+	done
+	ls -d debian/* | \
+	grep -E "/libmimelib1$(DEB_TIME64_SUFFIX)-" | \
+	xargs -r rm
+	ls -d debian/* | \
+	grep -E "/libkleopatra1$(DEB_TIME64_SUFFIX)-" | \
+	xargs -r rm
+	[ -f debian/control.t64 ] || \
+	sed -i.t64 \
+	    -e "s/^\\(Package: libmimelib1\\)c2a-trinity$$/\\1$(DEB_TIME64_SUFFIX)-trinity/" \
+	    -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(libmimelib1\\)c2a-trinity\\( \|$$\)/\\1:\\2\\3c2a-trinity, \\3$(DEB_TIME64_SUFFIX)-trinity\\4/" \
+	    -e "s/\\(libmimelib1\\)c2a-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
+	    \
+	    -e "s/^\\(Package: libkleopatra1\\)-trinity$$/\\1$(DEB_TIME64_SUFFIX)-trinity/" \
+	    -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(libkleopatra1\\)-trinity\\( \|$$\)/\\1:\\2\\3-trinity, \\3$(DEB_TIME64_SUFFIX)-trinity\\4/" \
+	    -e "s/\\(libkleopatra1\\)-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
+	    debian/control
+else
+	[ ! -f debian/control.t64 ] || \
+	mv debian/control.t64 debian/control
+endif
