## tdepim-trinity 14.1.5~pre6

=== kitchensync/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

message( AUTHOR_WARNING
		" \n"
		" ---------------------------------------------------------- \n"
		" ***  NOTE  *** \n"
		" Building kitchensync is deprecated and should not be done. \n"
		" kitchensync will be dropped starting from R14.2.0. \n"
		" Please contact the TDE development team on ML if you wish \n"
		" kitchensync to be continued. \n"
		" ---------------------------------------------------------- \n")

add_subdirectory( libqopensync )
add_subdirectory( src )
