=== kaddressbook/common/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### kabcommon (static) ########################

tde_add_library( kabcommon STATIC_PIC AUTOMOC
  SOURCES
    kabprefs.cpp kabprefs_base.kcfgc locationmap.cpp
    filter.cpp
)
