=== karm/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    filedel.xpm clock.xpm clockedit.xpm empty-watch.xpm watch-0.xpm
    watch-1.xpm watch-2.xpm watch-3.xpm watch-4.xpm watch-5.xpm
    watch-6.xpm watch-7.xpm active-icon-0.xpm active-icon-1.xpm
    active-icon-2.xpm active-icon-3.xpm active-icon-4.xpm
    active-icon-5.xpm active-icon-6.xpm active-icon-7.xpm
    task-complete.xpm task-incomplete.xpm
  DESTINATION ${DATA_INSTALL_DIR}/karm/pics )
