=== kmailcvt/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES step1.png DESTINATION ${DATA_INSTALL_DIR}/kmailcvt/pics )
