=== ktnef/ktnef/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    ktnefparser.h ktnefattach.h ktnefproperty.h
    ktnefpropertyset.h ktnefmessage.h ktnefwriter.h
    ktnefdefs.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/ktnef )
