=== tderesources/groupdav/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/../lib
  ${CMAKE_CURRENT_SOURCE_DIR}/../lib
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kcal_groupdav.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/kcal
  PO_DIR tderesources-desktops
)

install( FILES uninstall.desktop DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/kcal RENAME kcal_opengroupware.desktop )

tde_create_translated_desktop(
  SOURCE tdeabc_groupdav.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/tdeabc
  PO_DIR tderesources-desktops
)

install( FILES uninstall.desktop DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/tdeabc RENAME tdeabc_opengroupware.desktop)


##### kcal_groupdav (module) ####################

tde_add_kpart( kcal_groupdav AUTOMOC
  SOURCES kcal_resourcegroupdav_plugin.cpp
  LINK kcal_groupdav-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdeabc_groupdav (module) ####################

tde_add_kpart( tdeabc_groupdav AUTOMOC
  SOURCES tdeabc_resourcegroupdav_plugin.cpp
  LINK tdeabc_groupdav-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kgroupdav (static) ########################

tde_add_library( kgroupdav STATIC_PIC
  SOURCES groupdavglobals.cpp
)


##### kcal_groupdav (shared) ####################

tde_add_library( kcal_groupdav SHARED AUTOMOC
  SOURCES groupdavcalendaradaptor.cpp kcal_resourcegroupdav.cpp
  VERSION 1.0.0
  LINK kgroupdav-static kgroupwaredav-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tdeabc_groupdav (shared) ####################

tde_add_library( tdeabc_groupdav SHARED AUTOMOC
  SOURCES tdeabc_resourcegroupdav.cpp groupdavaddressbookadaptor.cpp
  VERSION 1.0.0
  LINK kgroupdav-static kgroupwaredav-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
