=== kmobile/devices/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    mobile_phone.png mobile_organizer.png mobile_camera.png
    mobile_musicplayer.png mobile_unknown.png
  DESTINATION ${ICON_INSTALL_DIR}/default.tde/32x32/devices )
