=== debian/changelog ===
tdepim-trinity (4:14.1.5~pre6-0ubuntu25.10.0+4) questing; urgency=low

  * Automated git build for f0a5f0b7ddad40e70290a6cd1f3914c6a17e5f86
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
